Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.rss
Class RssBuildFeedService

    java.lang.Object
      com.atlassian.bamboo.events.DefaultBuildEventListener
          com.atlassian.bamboo.rss.RssBuildFeedService

All Implemented Interfaces:
  Startable, BuildEventListener

    public class RssBuildFeedService

extends DefaultBuildEventListener
implements Startable

This class provides a RSS feed service.

Field Summary

Fields inherited from interface com.atlassian.bamboo.event.BuildEventListener
`DISABLE_NOTIFICATION_SYSTEM_PROPERTY`

Constructor Summary
`RssBuildFeedService(VelocityEngine velocityEngine, BuildManager buildManager)` Create the RSS feed service

Method Summary
`void` | `onBuildComplete(Build build, BuildResults buildResults)` Update the feeds that care about this build.
`void` | `onDeletedBuild(Build build)` Remove the rss feeds associated with the build about to get zapped.
`void` | `onNewBuild(Build build)` Create the default build feeds
`void` | `start()` Start the RRS feed service, ensuring all feed files are created if they do not already exist.
`void` | `stop()` Stop does not need to do anything to shutdown the service.

Methods inherited from class com.atlassian.bamboo.events.DefaultBuildEventListener
`getBuildManager, getPreviousBuildState, getServerBaseUrl, onBuildStart, onDeletedBuildResult, setBuildManager, systemHasBeenConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RssBuildFeedService

    public RssBuildFeedService(VelocityEngine velocityEngine,
                               BuildManager buildManager)

  Create the RSS feed service

  Parameters:
    `velocityEngine` -
    `buildManager` -

Method Detail

### start

    public void start()
               throws Exception

  Start the RRS feed service, ensuring all feed files are created if they do not already exist.

  Specified by:
    `start` in interface `Startable`
  Throws:
    `Exception` - A generic failure

### stop

    public void stop()
              throws Exception

  Stop does not need to do anything to shutdown the service.

  Specified by:
    `stop` in interface `Startable`
  Throws:
    `Exception` - None

### onNewBuild

    public void onNewBuild(Build build)

  Create the default build feeds

  Specified by:
    `onNewBuild` in interface `BuildEventListener`
  Overrides:
    `onNewBuild` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build who's feeds we are generating
  Throws:
    `Exception` - Failed to generate the feed

### onBuildComplete

    public void onBuildComplete(Build build,
                                BuildResults buildResults)

  Update the feeds that care about this build.

  Specified by:
    `onBuildComplete` in interface `BuildEventListener`
  Overrides:
    `onBuildComplete` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build that's been built
    `buildResults` - The build results

### onDeletedBuild

    public void onDeletedBuild(Build build)
                        throws Exception

  Remove the rss feeds associated with the build about to get zapped.

  Specified by:
    `onDeletedBuild` in interface `BuildEventListener`
  Overrides:
    `onDeletedBuild` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build about to be deleted
  Throws:
    `Exception` - A generic failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.